-- --/////////////////////////////////////////////////////////////////////////////////--
-- --///////////////////////////////CVN GROUP SETUP///////////////////////////////////--
-- --/////////////////////////////////////////////////////////////////////////////////--

carrier_root_menu = MENU_COALITION:New( coalition.side.BLUE, "CVN-72 Recovery")

CVN72 = NAVYGROUP:New("CVN72Group")
CVN72:SetPatrolAdInfinitum()
--CVN72:SetOptionROE(4)
CVN_72_beacon_unit = UNIT:FindByName("CVN-72 USS Abraham Lincoln")

if CVN_72_beacon_unit then
  CVN72_Beacon = CVN_72_beacon_unit:GetBeacon()
  CVN72_Beacon:ActivateICLS(11,"CVN")
  env.info("CVN72 ICLS started on channel 2")
end

SCHEDULER:New(nil,function()
  if CVN_72_beacon_unit then
    CVN72_Beacon = CVN_72_beacon_unit:GetBeacon()
    CVN72_Beacon:ActivateTACAN(72,"X","CVN",true)
    env.info("CVN72 Tacan Refreshed")
  end
end,{},5,5*60)

function start_recovery()
  if CVN72:IsSteamingIntoWind() == true then
    MessageToAll("CVN-72 is currently recovering, recovery window closes at time "..timerecovery_end)
  else
    local timenow=timer.getAbsTime( )
    local timeend=timenow+45*60
    local timerecovery_start = UTILS.SecondsToClock(timenow,true)
    timerecovery_end = UTILS.SecondsToClock(timeend,true)
    CVN72:AddTurnIntoWind(timerecovery_start,timerecovery_end,32,false,-9)
    MessageToAll("CVN72 is turning, Recovery Window open from time "..timerecovery_start.." until "..timerecovery_end)
  end
end

local rescueheloCVN72=RESCUEHELO:New(UNIT:FindByName("CVN-72 USS Abraham Lincoln"), "BLUFOR AIR CVN SH60B")

rescueheloCVN72:SetTakeoffAir()

rescueheloCVN72:Start()

local tankerCVN72=RECOVERYTANKER:New(UNIT:FindByName("CVN-72 USS Abraham Lincoln"), "BLUFOR AIR CVN S3B")

tankerCVN72:SetCallsign(CALLSIGN.Tanker.Shell, 1)
tankerCVN72:SetTakeoffCold()
tankerCVN72:SetAltitude(6000)
tankerCVN72:SetRadio(272)
tankerCVN72:SetTACAN(27, "TKR")

tankerCVN72:Start()


local awacsCVN72=RECOVERYTANKER:New(UNIT:FindByName("CVN-72 USS Abraham Lincoln"), "BLUFOR AIR CVN E2D")

awacsCVN72:SetAWACS()
awacsCVN72:SetCallsign(CALLSIGN.AWACS.Overlord, 1)
awacsCVN72:SetTakeoffCold()
awacsCVN72:SetAltitude(20000)
awacsCVN72:SetRadio(252)
awacsCVN72:SetTACAN(49, "OVL")

awacsCVN72:Start()

menu_start_recovery = MENU_COALITION_COMMAND:New( coalition.side.BLUE, "CVN-72 Start Recovery",carrier_root_menu,start_recovery)